{% load static %}
<!DOCTYPE html>
<html lan="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Sign Up</title>
    <link
      rel="stylesheet"
      type="text/css"
      href="{% static 'css/style.css' %}"
    />
  </head>
  <body>
    <header>
      {% comment %}
      <nav class="nav">
        <ul>
          {% if user.is_authenticated %}
          <a class="nav_link" href="{% url 'list_projects' %}"
            >Outstanding Projects</a
          >
          <a class="nav_link" href="{% url 'show_my_tasks' %}">My tasks</a>
          <a class="nav_link" href="{% url 'logout' %}">Logout</a>
          {% else %}
          <li><a href="{% url 'login' %}">Login</a></li>
          <li><a href="{% url 'signup' %}">Signup</a></li>
          {% endif %}
        </ul>
      </nav>
      {% endcomment %}
    </header>
    <main>
      <div class="section">
        <h1>Welcome</h1>
        <h2>Signup</h2>
        <form method="post">
          {% csrf_token %} {% comment %} {{form.as_table}} {% endcomment %}
          <tr>
            <th>
              <label class="form-section1" for="id_username">Username:</label>
            </th>
            <td>
              <input
                type="text"
                name="username"
                maxlength="150"
                autocapitalize="none"
                autocomplete="username"
                autofocus
                required
                id="id_username"
              />

              <br />
              <span class="form-section2"
                >150 characters or fewer. Letters, digits and @/./+/-/_
                only.</span
              >
              <br />
              <br />
              <br />
            </td>
          </tr>

          <tr>
            <th>
              <label class="form-section1" for="id_password1">Password:</label>
            </th>
            <td>
              <input
                type="password"
                name="password1"
                autocomplete="new-password"
                required
                id="id_password1"
              />

              <br />
              <span class="form-section2">
                Your password must contain at least 8 characters.
                <br />
                Your password can’t be entirely numeric.
                <br />
                <br />
                <br />
              </span>
            </td>
          </tr>

          <tr>
            <th>
              <label class="form-section1" for="id_password2"
                >Password confirmation:</label
              >
            </th>
            <td>
              <input
                type="password"
                name="password2"
                autocomplete="new-password"
                required
                id="id_password2"
              />

              <br />
              <span class="form-section2">Re-enter Password</span>
              <br />
              <br />
            </td>
          </tr>
          <button>Signup</button>
        </form>
        <h3>
          <a class="asection" href="{% url 'login' %}"
            >Already a Member? Click Here to Login</a
          >
        </h3>
        <div class="video-container">
          <div class="color overlay"></div>
          <video autoplay loop muted>
            <source src="{% static "photos/background/space.mp4" %}"
            type="video/mp4" />
          </video>
        </div>
      </div>
      <div>
        {% comment %}
        <h1>Signup</h1>
        <form method="post">
          {% csrf_token %} {{ form.as_p }}
          <button>Signup</button>
        </form>
        {% endcomment %}
      </div>
    </main>
  </body>
</html>
